document.addEventListener("DOMContentLoaded", function (event) {
var legacy_sections = {
    "sec-%loader%": "sec-reflect.loader",
    "sec-%loader%-@@create": "sec-reflect.loader-@@create",
    "sec-%loader%-constructor": "sec-reflect.loader-reflect.-constructor",
    "sec-%loader%.prototype": "sec-reflect.loader.prototype",
    "sec-%loader%.prototype.constructor": "sec-reflect.loader.prototype.constructor",
    "sec-%loader%.prototype.define": "sec-reflect.loader.prototype.define",
    "sec-%realm%": "sec-reflect.realm",
    "sec-%realm%-@@create": "sec-reflect.realm-@@create",
    "sec-%realm%-constructor": "sec-reflect.realm-constructor",
    "sec-%realm%.prototype": "sec-reflect.realm.prototype",
    "sec-%realm%.prototype-@@tostringtag": "sec-reflect.realm.prototype-@@tostringtag",
    "sec-%realm%.prototype.constructor": "sec-reflect.realm.prototype.constructor",
    "sec-%realm%.prototype.eval": "sec-reflect.realm.prototype.directeval",
    "sec-__proto___-property-names-in-object-initialisers": "sec-__proto___-property-names-in-object-initializers",
    "sec-additional-properties": "sec-additional-built-in-properties",
    "sec-additive-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-allocatepromise-constructor-abstraction-operation": "sec-allocatepromise",
    "sec-arguments-object": "sec-createstrictargumentsobject",
    "sec-array-comprehension-runtime-semantics-bindinginitialisation": "sec-array-comprehension-runtime-semantics-bindinginitialization",
    "sec-array-initialiser": "sec-array-initializer",
    "sec-array-item1-item2": "sec-array-items",
    "sec-array-iterator-object-structure": "sec-array-iterator-objects",
    "sec-array-iterator-prototype": "sec-%arrayiteratorprototype%-object",
    "sec-arrayiterator.prototype.@@iterator": "sec-%arrayiteratorprototype%-@@iterator",
    "sec-arrayiterator.prototype.@@tostringtag": "sec-%arrayiteratorprototype%-@@tostringtag",
    "sec-arrayiterator.prototype.next": "sec-%arrayiteratorprototype%-next",
    "sec-arrow-function-definitions-runtime-semantics-bindinginitialisation": "sec-arrow-function-definitions-runtime-semantics-iteratorbindinginitialization",
    "sec-arrow-function-definitions-runtime-semantics-iteratorbindinginitialisation": "sec-arrow-function-definitions-runtime-semantics-iteratorbindinginitialization",
    "sec-assignment-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-binary-bitwise-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-binary-logical-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-bitwise-shift-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-bitwise-shift-operators-static-semantics-isvalidsimpleassignmenttarget": "sec-semantics-isvalidsimpleassignmenttarget",
    "sec-class-definitions-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-clonearraybuffer-srcbuffer-srcbyteoffset-srctype-cloneelementtype-srclength": "sec-clonearraybuffer",
    "sec-comma-operator-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-conditional-operator-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-construct": "sec-bound-function-exotic-objects-construct",
    "sec-corrections-and-clarifications-with-possible-compatibility-impact": "sec-additions-and-changes-that-introduce-incompatibilities-with-prior-editions",
    "sec-createowndataproperty": "sec-createdataproperty",
    "sec-createrejectfunction": "sec-promise-reject-functions",
    "sec-createresolvefunction": "sec-promise-resolve-functions",
    "sec-declarative-environment-records-initialisebinding-n-v": "sec-declarative-environment-records-initializebinding-n-v",
    "sec-destructuring-binding-patterns-runtime-semantics-bindinginitialisation": "sec-destructuring-binding-patterns-runtime-semantics-bindinginitialization",
    "sec-destructuring-binding-patterns-runtime-semantics-indexedbindinginitialisation": "sec-destructuring-binding-patterns-runtime-semantics-iteratorbindinginitialization",
    "sec-destructuring-binding-patterns-runtime-semantics-iteratorbindinginitialisation": "sec-destructuring-binding-patterns-runtime-semantics-iteratorbindinginitialization",
    "sec-destructuring-binding-patterns-static-semantics-early-errors": "sec-identifiers-static-semantics-early-errors",
    "sec-destructuring-binding-patterns-static-semantics-hasinitialiser": "sec-destructuring-binding-patterns-static-semantics-hasinitializer",
    "sec-ecmascript-language-modules-and-scripts": "sec-ecmascript-language-scripts-and-modules",
    "sec-ecmascript-ordinary-and-exotic-objects-behaviours": "sec-ordinary-and-exotic-objects-behaviours",
    "sec-equality-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-exotic-arguments-objects": "sec-arguments-exotic-objects",
    "sec-function-definitions-runtime-semantics-bindinginitialisation": "sec-function-definitions-runtime-semantics-iteratorbindinginitialization",
    "sec-function-definitions-runtime-semantics-indexedbindinginitialisation": "sec-function-definitions-runtime-semantics-iteratorbindinginitialization",
    "sec-function-definitions-runtime-semantics-iteratorbindinginitialisation": "sec-function-definitions-runtime-semantics-iteratorbindinginitialization",
    "sec-function-definitions-static-semantics-hasinitialiser": "sec-function-definitions-static-semantics-hasinitializer",
    "sec-function-definitions-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-functioninitialise": "sec-functioninitialize",
    "sec-generator-function-definitions-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-get-loader.prototype.realm": "sec-get-reflect.loader.prototype.realm",
    "sec-getownpropertykey": "sec-getownpropertykeys",
    "sec-global-environment-records-initialisebinding-n-v": "sec-global-environment-records-initializebinding-n-v",
    "sec-grammar-summary-json": "sec-json.parse",
    "sec-grouping-operator-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-identifier-reference-static-semantics-early-errors": "sec-identifiers-static-semantics-early-errors",
    "sec-identifier-reference-static-semantics-stringvalue": "sec-identifiers-static-semantics-stringvalue",
    "sec-identifier-resolution": "sec-resolvebinding",
    "sec-identifiers-and-identifier-names": "sec-identifier-names",
    "sec-identifiers-and-identifier-names-static-semantics-early-errors": "sec-identifier-names-static-semantics-early-errors",
    "sec-identifiers-and-identifier-names-static-semantics-stringvalue": "sec-identifier-names-static-semantics-stringvalue",
    "sec-iloader.prototype.normalize-name-referername-refereraddress": "sec-reflect.-reflect.loader.prototype.normalize-name-referername-refereraddress",
    "sec-initialisation": "sec-initialization",
    "sec-initialisepromise": "sec-initializepromise",
    "sec-iterable-iterface": "sec-iterable-interface",
    "sec-iteration-related-abstract-operations": "sec-generator-abstract-operations",
    "sec-iterator-iterface": "sec-iterator-interface",
    "sec-iteratorresult-iterface": "sec-iteratorresult-interface",
    "sec-json-grammar-json-lexical-grammar": "sec-json.parse",
    "sec-json-grammar-json-syntactic-grammar": "sec-json.parse",
    "sec-json-json-lexical-grammar": "sec-json.parse",
    "sec-json-json-syntactic-grammar": "sec-json.parse",
    "sec-json-object-json-grammar": "sec-json.parse",
    "sec-labelled-statements-runtime-semantics-evaluation": "sec-runtime-semantics-labelledevaluation-runtime-semantics-evaluation",
    "sec-let-and-const-declarations-runtime-semantics-bindinginitialisation": "sec-identifiers-runtime-semantics-bindinginitialization",
    "sec-let-and-const-declarations-static-semantics-stringvalue": "sec-identifiers-static-semantics-stringvalue",
    "sec-loader-pipeline-hook-properties": "sec-reflect.loader-pipeline-hook-properties",
    "sec-loader.prototype-@@iterator": "sec-reflect.loader.prototype-@@iterator",
    "sec-loader.prototype.entries": "sec-reflect.loader.prototype.entries",
    "sec-loader.prototype.eval": "sec-reflect.realm.prototype.directeval",
    "sec-loader.prototype.fetch": "sec-reflect.loader.prototype.fetch",
    "sec-loader.prototype.get": "sec-reflect.loader.prototype.get",
    "sec-loader.prototype.has": "sec-reflect.loader.prototype.has",
    "sec-loader.prototype.import": "sec-reflect.loader.prototype.import",
    "sec-loader.prototype.instantiate": "sec-reflect.loader.prototype.instantiate",
    "sec-loader.prototype.keys": "sec-reflect.loader.prototype.keys",
    "sec-loader.prototype.load": "sec-reflect.loader.prototype.load",
    "sec-loader.prototype.locate": "sec-reflect.loader.prototype.locate",
    "sec-loader.prototype.module": "sec-reflect.loader.prototype.module",
    "sec-loader.prototype.set": "sec-reflect.loader.prototype.set",
    "sec-loader.prototype.translate": "sec-reflect.loader.prototype.translate",
    "sec-loader.prototype.values": "sec-reflect.loader.prototype.values",
    "sec-map-iterable-comparator": "sec-map-iterable",
    "sec-map-iterator-object-structure": "sec-map-iterator-objects",
    "sec-map-iterator-prototype": "sec-%mapiteratorprototype%-object",
    "sec-mapiterator.prototype-@@iterator": "sec-%mapiteratorprototype%-@@iterator",
    "sec-mapiterator.prototype-@@tostringtag": "sec-%mapiteratorprototype%-@@tostringtag",
    "sec-mapiterator.prototype.next": "sec-%mapiteratorprototype%.next",
    "sec-method-definitions-static-semantics-issimpleparameterlist": "sec-function-definitions-static-semantics-issimpleparameterlist",
    "sec-module-semantics": "sec-module-static-semantics",
    "sec-module-semantics-static-semantics-early-errors": "sec-module-static-semantics-static-semantics-early-errors",
    "sec-module-semantics-static-semantics-exportedbindings": "sec-module-static-semantics-static-semantics-exportedbindings",
    "sec-module-semantics-static-semantics-exportentries": "sec-module-static-semantics-static-semantics-exportentries",
    "sec-module-semantics-static-semantics-importentries": "sec-module-static-semantics-static-semantics-importentries",
    "sec-module-semantics-static-semantics-isstrict": "sec-module-static-semantics-static-semantics-isstrict",
    "sec-module-semantics-static-semantics-lexicaldeclarations": "sec-module-static-semantics-static-semantics-lexicaldeclarations",
    "sec-module-semantics-static-semantics-lexicallydeclarednames": "sec-module-static-semantics-static-semantics-lexicallydeclarednames",
    "sec-module-semantics-static-semantics-lexicallyscopeddeclarations": "sec-module-static-semantics-static-semantics-lexicaldeclarations",
    "sec-module-semantics-static-semantics-modulerequests": "sec-module-static-semantics-static-semantics-modulerequests",
    "sec-module-semantics-static-semantics-vardeclarednames": "sec-module-static-semantics-static-semantics-vardeclarednames",
    "sec-module-semantics-static-semantics-varscopeddeclarations": "sec-module-static-semantics-static-semantics-varscopeddeclarations",
    "sec-multiplicative-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-new-%loader%-argumentslist": "sec-new-reflect.loader-argumentslist",
    "sec-new-%realm%-argumentslist": "sec-new-reflect.realm-argumentslist",
    "sec-new-object-value": "sec-new-object-argumentslist",
    "sec-newmodule-obj": "sec-reflect.loader.prototype.newmodule",
    "sec-number.prototype.clz": "sec-math.clz32",
    "sec-object-constructor-called-as-a-function": "sec-object-value",
    "sec-object-environment-records-initialisebinding-n-v": "sec-object-environment-records-initializebinding-n-v",
    "sec-object-initialiser": "sec-object-initializer",
    "sec-object-initialiser-runtime-semantics-evaluation": "sec-object-initializer-runtime-semantics-evaluation",
    "sec-object-initialiser-runtime-semantics-propertydefinitionevaluation": "sec-object-initializer-runtime-semantics-propertydefinitionevaluation",
    "sec-object-initialiser-static-semantics-contains": "sec-object-initializer-static-semantics-contains",
    "sec-object-initialiser-static-semantics-early-errors": "sec-object-initializer-static-semantics-early-errors",
    "sec-object-initialiser-static-semantics-hascomputedpropertykey": "sec-object-initializer-static-semantics-hascomputedpropertykey",
    "sec-object-initialiser-static-semantics-propname": "sec-object-initializer-static-semantics-propname",
    "sec-object-internal-methods-and-internal-data-properties": "sec-object-internal-methods-and-internal-slots",
    "sec-ordinary-function-objects": "sec-ecmascript-function-objects",
    "sec-ordinary-function-objects-call-thisargument-argumentslist": "sec-ecmascript-function-objects-call-thisargument-argumentslist",
    "sec-ordinary-function-objects-getownproperty-p": "sec-ecmascript-function-objects-getownproperty-p",
    "sec-ordinary-object-internal-methods-and-internal-data-properties": "sec-ordinary-object-internal-methods-and-internal-slots",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-defineownproperty-p-desc": "sec-ordinary-object-internal-methods-and-internal-slots-defineownproperty-p-desc",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-delete-p": "sec-ordinary-object-internal-methods-and-internal-slots-delete-p",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-enumerate": "sec-ordinary-object-internal-methods-and-internal-slots-enumerate",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-get-p-receiver": "sec-ordinary-object-internal-methods-and-internal-slots-get-p-receiver",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-getownproperty-p": "sec-ordinary-object-internal-methods-and-internal-slots-getownproperty-p",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-getprototypeof": "sec-ordinary-object-internal-methods-and-internal-slots-getprototypeof",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-hasproperty-p": "sec-ordinary-object-internal-methods-and-internal-slots-hasproperty-p",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-isextensible": "sec-ordinary-object-internal-methods-and-internal-slots-isextensible",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-ownpropertykeys": "sec-ordinary-object-internal-methods-and-internal-slots-ownpropertykeys",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-preventextensions": "sec-ordinary-object-internal-methods-and-internal-slots-preventextensions",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-set-p-v-receiver": "sec-ordinary-object-internal-methods-and-internal-slots-set-p-v-receiver",
    "sec-ordinary-object-internal-methods-and-internal-data-properties-setprototypeof-v": "sec-ordinary-object-internal-methods-and-internal-slots-setprototypeof-v",
    "sec-ordinaryconstruct": "sec-construct-f-argumentslist",
    "sec-other-properties-of-the-global-object-json": "sec-json",
    "sec-postfix-expressions-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-primary-expressions": "sec-primary-expression",
    "sec-primary-expressions-literals": "sec-primary-expression-literals",
    "sec-primary-expressions-regular-expression-literals": "sec-primary-expression-regular-expression-literals",
    "sec-primary-expressions-regular-expression-literals-static-semantics-early-errors": "sec-primary-expression-regular-expression-literals-static-semantics-early-errors",
    "sec-primary-expressions-semantics": "sec-primary-expression-semantics",
    "sec-promise.cast": "sec-promise.resolve",
    "sec-properties-of-%loader%-instances": "sec-properties-of-reflect.loader-instances",
    "sec-properties-of-%realm%-instances": "sec-properties-of-reflect.realm-instances",
    "sec-properties-of-the-%loader%-constructor": "sec-properties-of-the-loader-constructor",
    "sec-properties-of-the-%loader%-prototype-object": "sec-properties-of-the-reflect.loader-prototype-object",
    "sec-properties-of-the-%realm%-constructor": "sec-properties-of-the-reflect.realm-constructor",
    "sec-properties-of-the-%realm%-prototype-object": "sec-properties-of-the-reflect.realm-prototype-object",
    "sec-properties-of-the-proxy-factory-function": "sec-properties-of-the-proxy-constructor-function",
    "sec-proxy": "sec-proxy-target-handler",
    "sec-proxy-factory-function": "sec-proxy-constructor-function",
    "sec-proxy-object-internal-methods-and-internal-data-properties": "sec-proxy-object-internal-methods-and-internal-slots",
    "sec-proxy-object-internal-methods-and-internal-data-properties-call-thisargument-argumentslist": "sec-proxy-object-internal-methods-and-internal-slots-call-thisargument-argumentslist",
    "sec-proxy-object-internal-methods-and-internal-data-properties-defineownproperty-p-desc": "sec-proxy-object-internal-methods-and-internal-slots-defineownproperty-p-desc",
    "sec-proxy-object-internal-methods-and-internal-data-properties-delete-p": "sec-proxy-object-internal-methods-and-internal-slots-delete-p",
    "sec-proxy-object-internal-methods-and-internal-data-properties-enumerate": "sec-proxy-object-internal-methods-and-internal-slots-enumerate",
    "sec-proxy-object-internal-methods-and-internal-data-properties-get-p-receiver": "sec-proxy-object-internal-methods-and-internal-slots-get-p-receiver",
    "sec-proxy-object-internal-methods-and-internal-data-properties-getownproperty-p": "sec-proxy-object-internal-methods-and-internal-slots-getownproperty-p",
    "sec-proxy-object-internal-methods-and-internal-data-properties-getprototypeof": "sec-proxy-object-internal-methods-and-internal-slots-getprototypeof",
    "sec-proxy-object-internal-methods-and-internal-data-properties-hasproperty-p": "sec-proxy-object-internal-methods-and-internal-slots-hasproperty-p",
    "sec-proxy-object-internal-methods-and-internal-data-properties-isextensible": "sec-proxy-object-internal-methods-and-internal-slots-isextensible",
    "sec-proxy-object-internal-methods-and-internal-data-properties-ownpropertykeys": "sec-proxy-object-internal-methods-and-internal-slots-ownpropertykeys",
    "sec-proxy-object-internal-methods-and-internal-data-properties-preventextensions": "sec-proxy-object-internal-methods-and-internal-slots-preventextensions",
    "sec-proxy-object-internal-methods-and-internal-data-properties-set-p-v-receiver": "sec-proxy-object-internal-methods-and-internal-slots-set-p-v-receiver",
    "sec-proxy-object-internal-methods-and-internal-data-properties-setprototypeof-v": "sec-proxy-object-internal-methods-and-internal-slots-setprototypeof-v",
    "sec-rebindsuper": "sec-clonemethod",
    "sec-reflection.": "sec-reflection",
    "sec-regexpinitialise": "sec-regexpinitialize",
    "sec-relational-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-runtime-semantics-array-accumulation": "sec-runtime-semantics-arrayaccumulation",
    "sec-runtime-semantics-decode-abstract-operation": "sec-decode",
    "sec-runtime-semantics-encode-abstract-operation": "sec-encode",
    "sec-runtime-semantics-escaperegexppattern-abstract-operation": "sec-escaperegexppattern",
    "sec-runtime-semantics-getreplacesubstitution-abstract-operation": "sec-getreplacesubstitution",
    "sec-runtime-semantics-indexeddestructuringassignmentevaluation": "sec-runtime-semantics-iteratordestructuringassignmentevaluation",
    "sec-runtime-semantics-instanceofoperator-o-c": "sec-instanceofoperator",
    "sec-runtime-semantics-instanceofoperator-o-c": "sec-instanceofoperator",
    "sec-runtime-semantics-keyedbindinginitialisation": "sec-runtime-semantics-keyedbindinginitialization",
    "sec-runtime-semantics-labelledstatementevaluation-label-stmt-labelset": "sec-labelledstatementevaluation",
    "sec-runtime-semantics-loopcontinues": "sec-loopcontinues",
    "sec-runtime-semantics-loopcontinues-completion-labelset": "sec-loopcontinues",
    "sec-runtime-semantics-loopcontinues-completion-labelset": "sec-loopcontinues",
    "sec-runtime-semantics-makesuperreference-propertykey-strict": "sec-makesuperreference",
    "sec-runtime-semantics-objectdefineproperties-abstract-operation": "sec-objectdefineproperties",
    "sec-runtime-semantics-quote-abstract-operation": "sec-quote",
    "sec-runtime-semantics-regexpalloc-abstract-operation": "sec-regexpalloc",
    "sec-runtime-semantics-regexpcreate-abstract-operation": "sec-regexpcreate",
    "sec-runtime-semantics-regexpexec-abstract-operation": "sec-regexpexec",
    "sec-runtime-semantics-regexpinitialise-abstract-operation": "sec-regexpinitialize",
    "sec-runtime-semantics-sortcompare-abstract-operation": "sec-sortcompare",
    "sec-runtime-semantics-splitmatch-abstract-operation": "sec-splitmatch",
    "sec-runtime-semantics-walk-abstract-operation": "sec-walk",
    "sec-scripts-runtime-semantics-evaluation": "sec-runtime-semantics-script-evaluation",
    "sec-scripts-static-semantics-lexicallyscopeddeclarations": "sec-static-semantics-lexicallyscopeddeclarations",
    "sec-semantics-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-set-iterable-comparator": "sec-set-iterable",
    "sec-set-iterator-object-structure": "sec-set-iterator-objects",
    "sec-set-iterator-prototype": "sec-%setiteratorprototype%-object",
    "sec-setiterator.prototype.@@iterator": "sec-%setiteratorprototype%-@@iterator",
    "sec-setiterator.prototype.@@tostringtag": "sec-%setiteratorprototype%-@@tostringtag",
    "sec-setiterator.prototype.next": "sec-%setiteratorprototype%.next",
    "sec-standard-built-in-ecmascript-objects": "sec-ecmascript-standard-built-in-objects",
    "sec-static-semantics-coveredparenthesisedexpression": "sec-static-semantics-coveredparenthesizedexpression",
    "sec-static-semantics-importednames": "sec-static-semantics-importedbindings",
    "sec-static-semantics-iscomputedpropertyname": "sec-static-semantics-iscomputedpropertykey",
    "sec-static-semantics-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-static-semantics-stringvalue": "sec-identifier-names-static-semantics-stringvalue",
    "sec-static-semantics-tail-position": "sec-intailposition",
    "sec-static-semantics-utf16decode-lead-trail": "sec-utf16decode",
    "sec-string-exotic-objects-defineownproperty-p-desc": "sec-string-exotic-objects",
    "sec-symbol": "sec-symbol-description",
    "sec-symbol-type": "sec-ecmascript-language-types-symbol-type",
    "sec-syntactic-and-lexical-grammars-json-grammar": "sec-json.parse",
    "sec-thisresolution": "sec-resolvethisbinding",
    "sec-try-statement-runtime-semantics-bindinginitialisation": "sec-try-statement-runtime-semantics-bindinginitialization",
    "sec-types-of-executable-code": "sec-types-of-source-code",
    "sec-unary-operators-static-semantics-isanonymousfunctiondefinition": "sec-isanonymousfunctiondefinition",
    "sec-updatepromisefrompotentialthenable": "sec-promise.prototype.then",
    "sec-uri-handling-function-properties": "sec-uri-handling-function",
    "sec-variable-statement-runtime-semantics-bindinginitialisation": "sec-variable-statement-runtime-semantics-bindinginitialization",
    "sec-well-known-symbols-and-intrinsics": "sec-well-known-symbols"
};

    var h = document.location.hash;
    if (h && h.charAt(0) == '#' && legacy_sections.hasOwnProperty(h.slice(1)))
        document.location.hash = legacy_sections[h.slice(1)];
});
